# PetscDrawViewPortsDestroy

frees a PetscDrawViewPorts object

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode PETSC_DLLEXPORT PetscDrawViewPortsDestroy(PetscDrawViewPorts *ports)

Collective on PetscDraw inside PetscDrawViewPorts

### Input Parameter

ports -the PetscDrawViewPorts object

### See Also

PetscDrawSplitViewPort(), PetscDrawSetViewPort(), PetscDrawViewPortsSet(), PetscDrawViewPortsCreate()

Level:advanced
Location: src/sys/draw/interface/dviewp.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages